package kd.cosmic;

import kd.cosmic.server.Launcher;

/**
 * 启动本地应用程序(微服务节点)
 */
public class Application {

    public static void main(String[] args) {
        Launcher cosmic = new Launcher();

        cosmic.setClusterNumber("cosmic");
        cosmic.setTenantNumber("ierp");
        cosmic.setServerIP("localhost");

        cosmic.setAppName("cosmic-zhaocg-bDBxiJHP");
        cosmic.setWebPath("D:/cosmic/workspace-server/webapp/static-file-service");


        cosmic.setStartWithQing(false);


        cosmic.set("lightweightdeploy", "true");  //标注环境为轻量级

        cosmic.set("redismodelcache.enablelua", "false");  //轻量级不能用lua，设为false

        cosmic.set("lightweightdeploy.services" , "");  //设置服务为空。服务由MC启动，这里就不用启动了

        cosmic.setConfigUrl("localhost:2181","zhaocg","zhaocg"); //ip地址、zk端口号、账号、 密码填写安装环境时设置的值

        cosmic.start();
    }
}